## org.gnu.gtk
Class FileChooserError

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gtk.FileChooserError

public class FileChooserError
extends org.gnu.glib.Enum

Field Summary
`static FileChooserError` `BAD_FILENAME`
`static FileChooserError` `ERROR_NONEXISTENT`

Method Summary
`FileChooserError` `and(FileChooserError other)`
`static FileChooserError` `intern(int value)`
`FileChooserError` `or(FileChooserError other)`
`boolean` `test(FileChooserError other)`
`FileChooserError` `xor(FileChooserError other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ERROR_NONEXISTENT

    public static final FileChooserError ERROR_NONEXISTENT

### BAD_FILENAME

    public static final FileChooserError BAD_FILENAME

Method Detail

### intern

    public static FileChooserError intern(int value)

### or

    public FileChooserError or(FileChooserError other)

### and

    public FileChooserError and(FileChooserError other)

### xor

    public FileChooserError xor(FileChooserError other)

### test

    public boolean test(FileChooserError other)